## litetlog 0.4.3

=== debian/changelog ===
litetlog (0.4.3-3) unstable; urgency=medium

  * Fix binary-indep/all build failure.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 03 Apr 2025 11:50:01 +0200

litetlog (0.4.3-2) unstable; urgency=medium

  * Add *-dev to Depends.
  * Rename /usr/bin/spicy to /usr/bin/spicy-litetlog.  Closes: #1101904.
  * Remove buildpath from manpages.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 02 Apr 2025 22:09:15 +0200

litetlog (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3
  * Refresh patches.
  * Standards-Version: 4.7.2.
  * litetlog: Add Static-Built-Using, suggested by lintian.
  * d/salsa-ci: Run lrc.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 01 Apr 2025 22:49:34 +0200

litetlog (0.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #1095310)

 -- Simon Josefsson <simon@josefsson.org>  Thu, 06 Feb 2025 20:55:45 +0100
