=== debian/control ===
Source: litetlog
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Simon Josefsson <simon@josefsson.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-cheggaaa-pb.v3-dev,
 golang-github-go-llsqlite-crawshaw-dev,
 golang-github-rogpeppe-go-internal-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-mod-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sync-dev,
 golang-sigsum-sigsum-go-dev,
 help2man <!nodoc>,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/litetlog
Vcs-Git: https://salsa.debian.org/go-team/packages/litetlog.git
Homepage: https://github.com/FiloSottile/litetlog
XS-Go-Import-Path: filippo.io/litetlog

Package: litetlog
Section: admin
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Built-Using:
 ${misc:Built-Using},
Static-Built-Using:
 ${misc:Static-Built-Using}
Description: transparency logging tools for Sigsum and Omniwitness (programs)
 The litetlog repository is a collection of open-source tooling for
 transparency logs designed to be simple and lightweight.
 .
 litewitness is a synchronous low-latency cosigning witness. (A witness is
 a service that accepts a new signed tree head, checks its consistency
 with the previous latest tree head, and returns a signature over it.) It
 implements the c2sp.org/tlog-witness (https://c2sp.org/tlog-witness)
 protocol.
 .
 witnessctl is a CLI tool to operate on the litewitness database.
 .
 litebastion is a public-service reverse proxy for witnesses that can't be
 exposed directly to the internet.

Package: golang-github-filosottile-litetlog-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-cheggaaa-pb.v3-dev,
 golang-github-go-llsqlite-crawshaw-dev,
 golang-github-rogpeppe-go-internal-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-mod-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sync-dev,
 golang-sigsum-sigsum-go-dev,
 ${misc:Depends},
Description: transparency logging tools for Sigsum and Omniwitness (Go library)
 The litetlog repository is a collection of open-source tooling for
 transparency logs designed to be simple and lightweight.
 .
 This package contains the Go development library.
